NDB_DESC(1)

NAME
ndb_desc - describe NDB tables

SYNOPSIS

ndb_desc options

DESCRIPTION

ndb_desc provides a detailed description of one or more NDB tables.

Usage:

    ndb_desc -c connect_string tbl_name -d db_name

Sample Output:

MySQL table creation and population statements:

    USE test;
    CREATE TABLE fish (
        id INT(11) NOT NULL AUTO_INCREMENT,
        name VARCHAR(20),
        PRIMARY KEY pk (id),
        UNIQUE KEY uk (name)
    ) ENGINE=NDBCLUSTER;
    INSERT INTO fish VALUES
        ('','guppy'), ('','tuna'), ('','shark'),
        ('','manta ray'), ('','grouper'), ('','puffer');

Output from ndb_desc:

    shell> ./ndb_desc -c localhost fish -d test -p
    -- fish --
    Version: 16777221
    Fragment type: 5
    K Value: 6
    Min load factor: 78
    Max load factor: 80
    Temporary table: no
    Number of attributes: 2
    Number of primary keys: 1
    Length of frm data: 268
    Row Checksum: 1
    Row GCI: 1
    TableStatus: Retrieved
    -- Attributes --
    id Int PRIMARY KEY DISTRIBUTION KEY AT=FIXED ST=MEMORY
    name Varchar(20;latin1_swedish_ci) NULL AT=SHORT_VAR ST=MEMORY
    -- Indexes --
    PRIMARY KEY(id) - UniqueHashIndex
    uk(name) - OrderedIndex
    PRIMARY(id) - OrderedIndex
    uk$unique(name) - UniqueHashIndex
    -- Per partition info --
    Partition  Row count  Commit count  Frag fixed memory  Frag varsized memory
    2          2          2             65536              327680
    1          2          2             65536              327680
    3          2          2             65536              327680
    NDBT_ProgramExit: 0 - OK

Additional Options:

•   --extra-partition-info, -p

    Prints additional information about the table's partitions.

•   Information about multiple tables can be obtained in a single invocation of ndb_desc by using their names, separated by spaces. All of the tables must be in the same database.

COPYRIGHT

Copyright 2007-2008 MySQL AB

This documentation is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; version 2 of the License.

This documentation is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with the program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA or see http://www.gnu.org/licenses/.

SEE ALSO
For more information, please refer to the MySQL Reference Manual, which may already be installed locally and which is also available online at http://dev.mysql.com/doc/.

AUTHOR
MySQL AB (http://www.mysql.com/).